Bug 447599 - Review Request: immix - image mixer
Review Request: immix - image mixer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 14:21 EDT by Nicoleau Fabien
Modified: 2008-07-31 21:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.2-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 21:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-05-20 14:21:53 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/immix.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/immix-1.3.2-2.fc9.eponyme.src.rpm
Description: 
Immix alignes and averages a set of similar images,
thereby decreasing the numerical noise. It is especially
useful with digital cameras images shot in a low light
environment: multiple noisy, high-ISO setting images
can be combined to get a single less noisy, low-ISO-like
image, without the blur typically associated with low-ISO
(motion during exposure) or noise reduction algorithms.

rpmlint and mock are both OK.
Note that it's note my first package, but my first one is still in review request (447104).
Comment 1 Xavier Lamien 2008-05-28 07:36:58 EDT
will review this.
Comment 2 Mamoru TASAKA 2008-06-18 00:20:23 EDT
(Removing NEEDSPONSOR: sponsored by me)
Comment 3 Jason Tibbitts 2008-06-18 16:35:19 EDT
Please remember to set the flags properly when you begin a review.
Comment 4 Peter Fernandes 2008-06-21 00:20:35 EDT
Builds with no errors from mock fedora-9-i386, and no output from rpmlint on the
installed package.  The specfile looks good to me.
Comment 5 Xavier Lamien 2008-07-03 12:53:06 EDT
# Build failed on rawhide : 
  ==> http://koji.fedoraproject.org/koji/taskinfo?taskID=694394

# From desktop file :
  Application type must be remove
  from "Icon" entry, you no need to set full path
Comment 6 Xavier Lamien 2008-07-03 16:43:05 EDT
ho craps, type Application must be kept.
Comment 7 Nicoleau Fabien 2008-07-03 17:16:26 EDT
updated :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/immix.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/immix-1.3.2-3.fc9.src.rpm

- rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint immix-1.3.2-3.fc9.i386.rpm
immix-debuginfo-1.3.2-3.fc9.i386.rpm immix-1.3.2-3.fc9.src.rpm 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$
- build under mock (fedora-9-i386) is OK
- build on rawhide is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=695213

Changelog :
- lrelease-qt4 usage
- .desktop file changes
Comment 8 Xavier Lamien 2008-07-24 02:44:05 EDT
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
BAD	license field matches the actual license.
OK	license is open source-compatible (LGPLv3+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in koji (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK       Binaries are proper
N/A	%check is present and all tests pass.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no libtool archives droppings.
OK	GUI app == Desktop file is present and correct.


This package is APPROVED

Comment 9 Xavier Lamien 2008-07-24 02:44:54 EDT
typo : license field is correct -- OK
Comment 10 Nicoleau Fabien 2008-07-24 04:27:05 EDT
New Package CVS Request
=======================
Package Name: immix
Short Description: An image mixer
Owners: eponyme
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-07-24 14:23:09 EDT
cvs done.
Comment 12 Fedora Update System 2008-07-24 15:45:22 EDT
immix-1.3.2-3.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-07-24 15:46:19 EDT
immix-1.3.2-3.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-07-31 21:47:06 EDT
immix-1.3.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-07-31 21:47:57 EDT
immix-1.3.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.